# 🐍✂️ Segmented Docstring: Split Your Python, Not Your Hairs!

[![PyPI version](https://badge.fury.io/py/segmented-docstring.svg)](https://badge.fury.io/py/segmented-docstring)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Python Versions](https://img.shields.io/pypi/pyversions/segmented-docstring.svg)](https://pypi.org/project/segmented-docstring/)

Ever felt like your Python files were getting too chunky? Tired of scrolling through endless docstrings to find that one line of code? Say hello to Segmented Docstring, the tool that lets you have your cake and eat it too!

## 🎭 What's This Sorcery?

Segmented Docstring is a magical Python tool that:

1. 🔪 Slices your Python files into two delicious pieces: bare code and docstrings
2. 🧙‍♂️ Conjures them back together whenever you need
3. 🎩 Does it all with style and panache!

## 🚀 Quick Start

```bash
pip install segmented-docstring
```

Now you're ready to split some Python!

```bash
segmented-docstring split your_chunky_file.py
```

Voila! You now have `your_chunky_file.barecode.py` and `your_chunky_file.docstring.py`.

Missing those docstrings? No problem!

```bash
segmented-docstring combine your_directory
```

And just like that, your files are whole again. It's like magic, but real!

## 🎨 Features

- **Split with Precision**: Separate your code and docstrings faster than a ninja chopping vegetables.
- **Combine with Elegance**: Merge your files back together smoother than a well-aged whiskey.
- **CLI that Speaks Your Language**: Our command-line interface is so friendly, it might ask you out for coffee.
- **Configurable**: Tweak it, tune it, make it sing your favorite song.

## 🛠 Installation

```bash
pip install segmented-docstring
```

Or if you're feeling adventurous:

```bash
git clone https://github.com/robin-collins/segmented_docstring.git
cd segmented_docstring
pip install -e .
```

## 📚 Documentation

For those who love to read (we know you're out there!), check out our [full documentation](https://robin-collins.github.io/segmented_docstring/).

## 🤝 Contributing

Found a bug? Want to add a feature that turns code into haiku? We're all ears! Check out our [contributing guidelines](CONTRIBUTING.md) and join the fun!

## 📜 License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details. It's so permissive, you could probably use it to open a lemonade stand.

## 🎉 Acknowledgments

- Coffee ☕, for making this project possible
- Python 🐍, for being awesome
- You 👉, for reading this far!

Remember, with great power comes great responsibility. Use Segmented Docstring wisely, and may your code always be clean and your docstrings always informative!
